<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/notifications/expansionnotificationsettings.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d82/a00920.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">expansionnotificationsettings.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d6/d82/a00920_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dd2/a04486.html">ExpansionNotificationSettingsBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Map settings base class.  <a href="../../df/dd2/a04486.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad3b40db54d2496a26b3f62bf47e5b154"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#ad3b40db54d2496a26b3f62bf47e5b154">ExpansionNotificationSettings</a> ()</td></tr>
<tr class="separator:ad3b40db54d2496a26b3f62bf47e5b154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e27fdaa6ddb0d424626c1f0b3aad2e"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:ae3e27fdaa6ddb0d424626c1f0b3aad2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2c207d1a6c5eea63c6296925ace1d76"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#af2c207d1a6c5eea63c6296925ace1d76">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:af2c207d1a6c5eea63c6296925ace1d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f26e3b21fa656c6d6048f82cfb30a72"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a8f26e3b21fa656c6d6048f82cfb30a72">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a8f26e3b21fa656c6d6048f82cfb30a72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bc9f37c8b51353bb7abe4a847ec9846"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a8bc9f37c8b51353bb7abe4a847ec9846">Copy</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a8bc9f37c8b51353bb7abe4a847ec9846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a247ed07682cde6d4195b4c88c6b51199"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a247ed07682cde6d4195b4c88c6b51199">CopyInternal</a> (<a class="el" href="../../d2/df9/a08342.html">ExpansionNotificationSettings</a> s)</td></tr>
<tr class="separator:a247ed07682cde6d4195b4c88c6b51199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61bb68e442a4997a411ccdd5f80c7006"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a61bb68e442a4997a411ccdd5f80c7006">CopyInternal</a> (<a class="el" href="../../df/dd2/a04486.html">ExpansionNotificationSettingsBase</a> s)</td></tr>
<tr class="separator:a61bb68e442a4997a411ccdd5f80c7006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9eab3191d8b7cc0f5414602631292b8"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a> ()</td></tr>
<tr class="separator:ad9eab3191d8b7cc0f5414602631292b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064d4576e4b054e72d5de632a7d09a63"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a064d4576e4b054e72d5de632a7d09a63">Unload</a> ()</td></tr>
<tr class="separator:a064d4576e4b054e72d5de632a7d09a63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3578afd97750bc428c2737e242dffd3d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a3578afd97750bc428c2737e242dffd3d">OnLoad</a> ()</td></tr>
<tr class="separator:a3578afd97750bc428c2737e242dffd3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb9cc278f9d90f49e9dd9ce5ce40d43"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a9fb9cc278f9d90f49e9dd9ce5ce40d43">OnSave</a> ()</td></tr>
<tr class="separator:a9fb9cc278f9d90f49e9dd9ce5ce40d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11e21b32a7dc86b7de1044d01855cfcd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a11e21b32a7dc86b7de1044d01855cfcd">Update</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a11e21b32a7dc86b7de1044d01855cfcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac06ab75f9e6f636d8b7c17685037667e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#ac06ab75f9e6f636d8b7c17685037667e">Defaults</a> ()</td></tr>
<tr class="separator:ac06ab75f9e6f636d8b7c17685037667e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46ab2e61c4bb8c8b19c3aece63908a50"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a46ab2e61c4bb8c8b19c3aece63908a50">SettingName</a> ()</td></tr>
<tr class="separator:a46ab2e61c4bb8c8b19c3aece63908a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4ee6e59c4088f372f4d25371a6ed407c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a4ee6e59c4088f372f4d25371a6ed407c">EnableNotification</a></td></tr>
<tr class="separator:a4ee6e59c4088f372f4d25371a6ed407c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0083b3473c42bd6532690decbe7a78"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a8c0083b3473c42bd6532690decbe7a78">ShowPlayerJoinServer</a></td></tr>
<tr class="separator:a8c0083b3473c42bd6532690decbe7a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350ae408434f5d5df10efac29fe50e77"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/ddc/a00917.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a350ae408434f5d5df10efac29fe50e77">JoinMessageType</a></td></tr>
<tr class="separator:a350ae408434f5d5df10efac29fe50e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33fe4177403ae72a4198c7730faf90c0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a33fe4177403ae72a4198c7730faf90c0">ShowPlayerLeftServer</a></td></tr>
<tr class="separator:a33fe4177403ae72a4198c7730faf90c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a822167ba5946da697710409245682433"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/ddc/a00917.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a822167ba5946da697710409245682433">LeftMessageType</a></td></tr>
<tr class="separator:a822167ba5946da697710409245682433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48ea820d6b3acc7353b763034c772af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a> = 4</td></tr>
<tr class="separator:ae48ea820d6b3acc7353b763034c772af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5521ad2d5fb3360b7943c9cbc422642a"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d82/a00920.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a></td></tr>
<tr class="separator:a5521ad2d5fb3360b7943c9cbc422642a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8bc9f37c8b51353bb7abe4a847ec9846" name="a8bc9f37c8b51353bb7abe4a847ec9846"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bc9f37c8b51353bb7abe4a847ec9846">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00161">161</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a247ed07682cde6d4195b4c88c6b51199" name="a247ed07682cde6d4195b4c88c6b51199"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a247ed07682cde6d4195b4c88c6b51199">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/df9/a08342.html">ExpansionNotificationSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00172">172</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a61bb68e442a4997a411ccdd5f80c7006" name="a61bb68e442a4997a411ccdd5f80c7006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61bb68e442a4997a411ccdd5f80c7006">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/dd2/a04486.html">ExpansionNotificationSettingsBase</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00187">187</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="ac06ab75f9e6f636d8b7c17685037667e" name="ac06ab75f9e6f636d8b7c17685037667e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac06ab75f9e6f636d8b7c17685037667e">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00356">356</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="ad3b40db54d2496a26b3f62bf47e5b154" name="ad3b40db54d2496a26b3f62bf47e5b154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3b40db54d2496a26b3f62bf47e5b154">&#9670;&#160;</a></span>ExpansionNotificationSettings()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../d2/df9/a08342.html">ExpansionNotificationSettings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00107">107</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="ad9eab3191d8b7cc0f5414602631292b8" name="ad9eab3191d8b7cc0f5414602631292b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9eab3191d8b7cc0f5414602631292b8">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00253">253</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a3578afd97750bc428c2737e242dffd3d" name="a3578afd97750bc428c2737e242dffd3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3578afd97750bc428c2737e242dffd3d">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >New with v2</p>
<p >Copy over old settings that haven't changed</p>

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00265">265</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="ae3e27fdaa6ddb0d424626c1f0b3aad2e" name="ae3e27fdaa6ddb0d424626c1f0b3aad2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3e27fdaa6ddb0d424626c1f0b3aad2e">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00112">112</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a9fb9cc278f9d90f49e9dd9ce5ce40d43" name="a9fb9cc278f9d90f49e9dd9ce5ce40d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fb9cc278f9d90f49e9dd9ce5ce40d43">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00338">338</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="af2c207d1a6c5eea63c6296925ace1d76" name="af2c207d1a6c5eea63c6296925ace1d76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2c207d1a6c5eea63c6296925ace1d76">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00134">134</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a8f26e3b21fa656c6d6048f82cfb30a72" name="a8f26e3b21fa656c6d6048f82cfb30a72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f26e3b21fa656c6d6048f82cfb30a72">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override int Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00142">142</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a46ab2e61c4bb8c8b19c3aece63908a50" name="a46ab2e61c4bb8c8b19c3aece63908a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46ab2e61c4bb8c8b19c3aece63908a50">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00433">433</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a064d4576e4b054e72d5de632a7d09a63" name="a064d4576e4b054e72d5de632a7d09a63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a064d4576e4b054e72d5de632a7d09a63">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00259">259</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a11e21b32a7dc86b7de1044d01855cfcd" name="a11e21b32a7dc86b7de1044d01855cfcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11e21b32a7dc86b7de1044d01855cfcd">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00348">348</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4ee6e59c4088f372f4d25371a6ed407c" name="a4ee6e59c4088f372f4d25371a6ed407c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ee6e59c4088f372f4d25371a6ed407c">&#9670;&#160;</a></span>EnableNotification</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool EnableNotification</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00018">18</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a350ae408434f5d5df10efac29fe50e77" name="a350ae408434f5d5df10efac29fe50e77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a350ae408434f5d5df10efac29fe50e77">&#9670;&#160;</a></span>JoinMessageType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/ddc/a00917.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a> JoinMessageType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00020">20</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a822167ba5946da697710409245682433" name="a822167ba5946da697710409245682433"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a822167ba5946da697710409245682433">&#9670;&#160;</a></span>LeftMessageType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/ddc/a00917.html#a1c7965d526c42e57fa42d93f1ade3d98">ExpansionAnnouncementType</a> LeftMessageType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00022">22</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a5521ad2d5fb3360b7943c9cbc422642a" name="a5521ad2d5fb3360b7943c9cbc422642a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5521ad2d5fb3360b7943c9cbc422642a">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private bool m_IsLoaded</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00104">104</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a8c0083b3473c42bd6532690decbe7a78" name="a8c0083b3473c42bd6532690decbe7a78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c0083b3473c42bd6532690decbe7a78">&#9670;&#160;</a></span>ShowPlayerJoinServer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ShowPlayerJoinServer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00019">19</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="a33fe4177403ae72a4198c7730faf90c0" name="a33fe4177403ae72a4198c7730faf90c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33fe4177403ae72a4198c7730faf90c0">&#9670;&#160;</a></span>ShowPlayerLeftServer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ShowPlayerLeftServer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d82/a00920_source.html#l00021">21</a> of file <a class="el" href="../../d6/d82/a00920_source.html">expansionnotificationsettings.c</a>.</p>

</div>
</div>
<a id="ae48ea820d6b3acc7353b763034c772af" name="ae48ea820d6b3acc7353b763034c772af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae48ea820d6b3acc7353b763034c772af">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VERSION = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_43c391425ddc8e268db9c53616324f54.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_81d1360463ebc53a0dee2391aee8d71e.html">notifications</a></li><li class="navelem"><a class="el" href="../../d6/d82/a00920.html">expansionnotificationsettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
